%
%% Steuerung der Gleichspannungquelle PSI 9300 ber VCP-USB

%  Klaus Schlter, Helmut Schmidt Universitt Hamburg, Januar 2011


%% Nennwerte PSI 9300-15
% werden aus dem Grrt ausgelesen

%% Sollwerte
G.I_soll = 7.9;
G.U_soll = 180.5;
G.P_soll = 1000;

%% Schnittstelle
G.COM           = 'COM6'; % Ausgerte Manager VCP-USB
G.BaudRate      = 57600;
G.Parity        = 'odd';
G.Timeout       = 0.5;
G.Terminator    = '';


%% Anwendung EA PSI 9300 IF-U1
% ffen der Schnitstelle
G.s=serial(G.COM,'BaudRate',G.BaudRate,'Parity',G.Parity,'Timeout',G.Timeout,...
           'Terminator',G.Terminator); 
fopen(G.s);



%% Werte fr StartDelimiter und Device Node
G.Geraetenummer =5;  %Device node 1....30 !! muss mit dem Wert am Gert
                     %                    !! bereinstimmen
G.Sendungstype = 3;  % bin 11 Datensenden, 01 Anfrage, 10 Antwort auf Anfrage
G.Cast         = 0;  % bin  0 Singlecast,   1 Multicast
G.Richtung     = 1;  % bin  1 vom PC ,      0 vom Gert an PC
G.Laenge       = 1;  % bin  1 es werden 2-1 Byte gesendet

G=SDundDN(G); % Setzen SD und DN, Die Werte werden in den folgenden Befehlen
              % verwendet. Sind andere Werte erforderlich mu der Befehl
              % mit anderen Vorgaben erneut angewendet werden.
              
%% Anwendung  der Befehle (unterprogramme) EA PSI 9300 IF-U1
pause on

G= Remote(G);           % setzen in Remote Modus

G=Read_UIPnenn(G);      % lesen der Gerte Nennwerte


% Sollwerte setzen
G= SetU_soll(G);
G= SetI_soll(G);
G= SetP_soll(G);
pause(3)                % 3 Sekunden Pause zur Beobachtung am Gret

G= Out_ON(G);           % Ausgang Einschalten
pause(6)

% Andere Sollwerte
G.I_soll=1.31;    G=SetI_soll(G); 
G.U_soll=10.4;    G=SetU_soll(G); 

pause(6)
G.P_soll=1234;    G=SetP_soll(G);

pause(6)
G= Out_OFF(G);          % Ausgang Ausschalten
G= Local(G);            % setzen in Local Modus
pause off

fclose(G.s);            % Schliessen der Schnittstelle
% Programm Ende

%% Interface und Variablen bersicht kann auskommentiert werden
disp(get(G.s));
disp(G);

